Lintian Fixes - atheme-services

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/atheme-services lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2018-07-27 13:52:06 +0000
+++ b/debian/changelog	2020-06-04 04:27:55 +0000
@@ -1,3 +1,12 @@
+atheme-services (7.2.9-4) UNRELEASED; urgency=low
+
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
+    Name (from ./configure), Repository, Repository-Browse.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 04:26:16 -0000
+
 atheme-services (7.2.9-3) unstable; urgency=medium
 
   [ Unit 193 ]

=== removed file 'debian/compat'
--- a/debian/compat	2018-02-06 21:37:17 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-11

=== modified file 'debian/control'
--- a/debian/control	2018-07-27 07:30:13 +0000
+++ b/debian/control	2020-06-04 04:27:09 +0000
@@ -4,7 +4,7 @@
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Micah Anderson <micah@debian.org>
          , Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
              , libssl-dev
              , gettext
              , pkg-config

=== added directory 'debian/upstream'
=== added file 'debian/upstream/metadata'
--- a/debian/upstream/metadata	1970-01-01 00:00:00 +0000
+++ b/debian/upstream/metadata	2020-06-04 04:27:55 +0000
@@ -0,0 +1,6 @@
+---
+Name: atheme
+Bug-Database: https://github.com/atheme/atheme/issues
+Bug-Submit: https://github.com/atheme/atheme/issues/
+Repository: https://github.com/atheme/atheme.git
+Repository-Browse: https://github.com/atheme/atheme

Run locally

Try this locally (using the lintian-brush package):

debcheckout atheme-services
cd atheme-services
lintian-brush

More details

Full run details